Skip to main content
PUT
/
api
/
company
/
contact
Update company contact info
curl --request PUT \
  --url https://app.demand-iq.com/api/company/contact \
  --header 'Content-Type: application/json' \
  --cookie session= \
  --data '
{
  "phone": "<string>",
  "email": "jsmith@example.com",
  "address": "<string>",
  "city": "<string>",
  "state": "<string>",
  "zip": "<string>",
  "licenseNumber": "<string>",
  "timezone": "<string>"
}
'
{
  "contact": {
    "phone": "<string>",
    "email": "jsmith@example.com",
    "address": "<string>",
    "city": "<string>",
    "state": "<string>",
    "zip": "<string>",
    "licenseNumber": "<string>",
    "timezone": "<string>"
  }
}

Authorizations

session
string
cookie
required

Session cookie obtained from POST /api/auth/login.

Body

application/json
phone
string | null
email
string<email> | null
address
string | null
city
string | null
state
string | null
zip
string | null
licenseNumber
string | null
timezone
string | null

Response

Updated contact

contact
object